commit:     f7a8ea976a166821f6ea1778e0558ae89f22e949
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 22 11:52:03 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 22 11:52:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7a8ea97

media-plugins/gmpc-awn: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-plugins/gmpc-awn/gmpc-awn-11.8.16.ebuild | 27 +++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

diff --git a/media-plugins/gmpc-awn/gmpc-awn-11.8.16.ebuild 
b/media-plugins/gmpc-awn/gmpc-awn-11.8.16.ebuild
index e884f68df56..59b7b155be3 100644
--- a/media-plugins/gmpc-awn/gmpc-awn-11.8.16.ebuild
+++ b/media-plugins/gmpc-awn/gmpc-awn-11.8.16.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-inherit autotools eutils
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="This plugin integrates GMPC with the Avant Window Navigator"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_AWN";
@@ -13,15 +14,21 @@ SLOT="0"
 KEYWORDS="amd64 x86"
 IUSE="nls"
 
-RDEPEND=">=media-sound/gmpc-${PV}
+RDEPEND="
+       >=media-sound/gmpc-${PV}
        dev-libs/dbus-glib"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
        virtual/pkgconfig
-       nls? ( dev-util/intltool
-               sys-devel/gettext )"
+       nls? (
+               dev-util/intltool
+               sys-devel/gettext
+       )"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.20.0-multilib.patch )
 
 src_prepare() {
-       epatch "${FILESDIR}"/${PN}-0.20.0-multilib.patch
+       default
        eautoreconf
 }
 
@@ -31,5 +38,7 @@ src_configure() {
 
 src_install() {
        default
-       find "${ED}" -name "*.la" -exec rm {} + || die
+
+       # plugins only
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to